Package org.eclipse.jface.text

## Interface IDocumentListener

All Known Implementing Classes:
  `AbstractDocumentProvider.ElementInfo`, `ChildDocumentManager`, `DefaultHyperlinkPresenter`, `FileDocumentProvider.FileInfo`, `MultipleHyperlinkPresenter`, `ProjectionDocumentManager`, `StorageDocumentProvider.StorageInfo`

    public interface IDocumentListener

Interface for objects which are interested in getting informed about document changes. A listener is informed about document changes before they are applied and after they have been applied. It is ensured that the document event passed into the listener is the same for the two notifications, i.e. the two document events can be checked using object identity.

Clients may implement this interface.

See Also:
  `IDocument`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `documentAboutToBeChanged​(DocumentEvent event)` The manipulation described by the document event will be performed.
`void` `documentChanged​(DocumentEvent event)` The manipulation described by the document event has been performed.

### Method Detail

#### documentAboutToBeChanged

    void documentAboutToBeChanged​(DocumentEvent event)

The manipulation described by the document event will be performed.

Parameters:
  `event` - the document event describing the document change

#### documentChanged

    void documentChanged​(DocumentEvent event)

The manipulation described by the document event has been performed.

Parameters:
  `event` - the document event describing the document change